#Pirmide sexo e idade

library(ggplot2)
library(tidyverse)
library(gganimate)

#criando dataset
#Numeros absolutos
Capitals <- c("Belm", "Belo Horizonte", "Boa vista", "Braslia", "Fortaleza",
          "Goinia", "Macap", "Manaus", "Palmas", "Porto Velho", "Rio de Janeiro", "So Paulo",
          "Belm", "Belo Horizonte", "Boa vista", "Braslia", "Fortaleza",
          "Goinia", "Macap", "Manaus", "Palmas", "Porto Velho", "Rio de Janeiro", "So Paulo") 

sex = c("Women", "Women", "Women", "Women", "Women", "Women", "Women", "Women", "Women", "Women", "Women", "Women",
         "Men", "Men", "Men", "Men", "Men", "Men", "Men", "Men", "Men", "Men", "Men", "Men") 
per = c(59.09, 57.00, 60.68, 56.40, 51.72, 59.33, 60.65, 56.10, 58.58, 58.19, 58.44, 60.15,
        40.91, 43.00, 39.32, 43.60, 48.28, 40.67, 39.35, 43.90, 41.42, 41.81, 41.56, 39.85)

data_capitals <- data.frame(Capitals, sex, per)

# Posio dodge para colocar barras lado a lado
# Para label, dodge  especificado de forma diferente
data_capitals %>%
  ggplot(aes(x = Capitals, y = per, fill = sex)) + 
  scale_fill_manual(values = c("#737373", "#cb6ce6")) + ylim(0, 75) +
  geom_bar(stat = "identity", position="dodge") + 
  labs(y = "Percentage (%)", x = "Capitals") +
  theme_classic() + theme(legend.position="none")

#.png
#Abre
png("data_capitais_percent.png",height = 9, width = 17, 
    units = 'cm',res=600)
#Joga o grfico
data_capitals %>%
  ggplot(aes(x = Capitals, y = per, fill = sex)) + 
  scale_fill_manual(values = c("#737373", "#cb6ce6")) + ylim(0, 75) +
  geom_bar(stat = "identity", position="dodge") + 
  labs(y = "Percentage (%)", x = "Capitals") +
  theme_classic() + theme(legend.position="none") + theme(axis.text.x = element_text(size = 5.5, color = "black"), 
                                                        axis.text.y = element_text(size = 7), 
                                                        axis.title = element_text(size = 7))
#grava e fecha
dev.off() 
getwd()
